/* $Id: cpl_filter_median_impl.h,v 1.6 2010/11/11 09:23:18 llundin Exp $
 *
 * This file is part of the ESO Common Pipeline Library
 * Copyright (C) 2001-2005 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

/*
 * $Author: llundin $
 * $Date: 2010/11/11 09:23:18 $
 * $Revision: 1.6 $
 * $Name: cpl-5_3_0-BRANCH $
 */

#ifndef CPL_FILTER_MEDIAN_IMPL_H
#define CPL_FILTER_MEDIAN_IMPL_H

#include "cpl_macros.h"

#include "cpl_filter.h"

CPL_BEGIN_DECLS

void cpl_filter_median_fast_double(void * out, const void * in,
                                   int Nx, int Ny,
                                   int hsizex,
                                   int hsizey,
                                   cpl_border_mode mode);

void cpl_filter_median_fast_float(void * out, const void * in,
                                  int Nx, int Ny,
                                  int hsizex,
                                  int hsizey,
                                  cpl_border_mode mode);

void cpl_filter_median_fast_int(void * out, const void * in,
                                int Nx, int Ny,
                                int hsizex,
                                int hsizey,
                                cpl_border_mode mode);

CPL_END_DECLS

#endif
/* end of cpl_filter_median_impl.h */
